Subject: Plant Name Confusion?!?

From: [email-masked] (Powaqqatsi)
Date: Wed, 06 Sep 1995 06:24:33 GMT

A while back I had posted some info on a proven CURE for Hepatitis B
(c?) and mentioned that the plant had THREE scientific names and one
Ayurvedic name.  I may have been in error.  Is there any site on the
nets where I can cross-referrence plant names easily?  I need to find
out if the East-Indian name of "Bhumy Amalaki" is actually the plant
known as "Phyllanthus amarus" (a.k.a. -- P. nituri or P. niruri). Due
to the confusion in names for the plant in different regions of India
and even in science circles here in the u.s.a. I may have been passing
along misinformation to those who's lives might depend on the right
name.

(The confusion started from the retailer that assured me of the
Ayurvedic name but was rather short tempered so I didn't press the
issue.)